export declare class ZanSkeleton {
  /**
   * 段落占位图行数
   */
  row: number;
  /**
   * 段落占位图宽度，可传数组来设置每一行的宽度
   */
  rowWidth: number | string | (number | string)[];
  /**
   * 是否显示标题占位图
   */
  showTitle: boolean;
  /**
   * 是否显示头像占位图
   */
  showAvatar: boolean;
  /**
   * 是否显示骨架屏，传 false 时会展示子组件内容
   */
  loading: boolean;
  /**
   * 是否开启动画
   */
  showAnimate: boolean;
  /**
   * 是否将标题和段落显示为圆角风格
   */
  round: boolean;
  /**
   * 标题占位图宽度
   */
  titleWidth: number | string;
  /**
   * 头像占位图大小
   */
  avatarSize: number | string;
  /**
   * 头像占位图形状，可选值为 square
   */
  avatarShape: 'square' | 'round';
  private renderAvatar;
  private renderTitle;
  private getRowWidth;
  private renderRows;
  render(): any;
}
