/**
 * bem helper
 * b() // { 'button': true }
 * b('text') // { 'button__text': true }
 * b({ disabled }) // { 'button': true, 'button--disabled': true }
 * b('text', { disabled }) // { 'button__text': true, 'button__text--disabled': true }
 * b(['disabled', 'primary']) // { 'button': true, 'button--disabled': true, 'button--primary': true}
 */
export declare type Mod = string | {
  [key: string]: any;
};
export declare type Mods = Mod | Mod[];
export declare type CssClassMap = {
  [className: string]: boolean;
};
export declare function createBEM(name: string): (el?: Mods, mods?: Mods) => CssClassMap;
export declare const getClassList: (classes: string | (string | null | undefined)[] | undefined) => string[];
export declare const getClassMap: (classes: string | string[] | undefined) => CssClassMap;
export declare type BEM = ReturnType<typeof createBEM>;
